summaryrefslogtreecommitdiffstats
path: root/source/ap/dmapi
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/dmapi')
-rw-r--r--source/ap/dmapi/bug799162.patch20
-rwxr-xr-xsource/ap/dmapi/dmapi.SlackBuild33
-rw-r--r--source/ap/dmapi/slack-desc6
3 files changed, 45 insertions, 14 deletions
diff --git a/source/ap/dmapi/bug799162.patch b/source/ap/dmapi/bug799162.patch
new file mode 100644
index 000000000..1632b2bc5
--- /dev/null
+++ b/source/ap/dmapi/bug799162.patch
@@ -0,0 +1,20 @@
+Description: Fix compilation by adding missing #include(s)
+Author: Mathieu Malaterre <mathieu@debian>
+Bug-Debian: https://bugs.debian.org/799162
+Forwarded: no
+
+--- dmapi-2.2.10.orig/libdm/dm_handle2path.c
++++ dmapi-2.2.10/libdm/dm_handle2path.c
+@@ -22,7 +22,12 @@
+
+ #include <mntent.h>
+ #include <dirent.h>
++#include <string.h>
+ #ifdef linux
++#include <sys/types.h>
++#include <sys/stat.h>
++#include <fcntl.h>
++#include <unistd.h>
+ #include "getdents.h"
+ #endif
+
diff --git a/source/ap/dmapi/dmapi.SlackBuild b/source/ap/dmapi/dmapi.SlackBuild
index 63de8c275..1aac7ffeb 100755
--- a/source/ap/dmapi/dmapi.SlackBuild
+++ b/source/ap/dmapi/dmapi.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,27 +20,36 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=dmapi
VERSION=2.2.12
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _ )-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-dmapi
@@ -50,7 +59,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf dmapi-$(echo $VERSION | cut -f 1 -d '-')
tar xvf $CWD/dmapi-$VERSION.tar.?z* || exit 1
-cd dmapi-$(echo $VERSION | cut -f 1 -d '-')
+cd dmapi-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .
find . \
@@ -59,9 +68,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Thanks, Debian
+zcat $CWD/bug799162.patch.gz | patch -p1 --verbose || exit 1
+
# Make sure you have the same version of autoconf as the
# developers did... ;-)
-autoconf
+autoreconf -vif
./configure \
--prefix=/ \
@@ -72,12 +84,11 @@ autoconf
--libexecdir=/usr/lib${LIBDIRSUFFIX} \
--includedir=/usr/include \
--mandir=/usr/man \
- --datadir=/usr/share
+ --datadir=/usr/share || exit 1
make || exit 1
-make install DESTDIR=$PKG
-make install-dev DESTDIR=$PKG
-make install-lib DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
+make install-dev DESTDIR=$PKG || exit 1
mv $PKG/usr/share/doc $PKG/usr
( cd $PKG/usr/doc ; mv dmapi dmapi-$VERSION )
diff --git a/source/ap/dmapi/slack-desc b/source/ap/dmapi/slack-desc
index 9cbfcfa91..f080263d6 100644
--- a/source/ap/dmapi/slack-desc
+++ b/source/ap/dmapi/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|